<?php
define("_INSTALL_L0","Welcome to the Install Wizard for XOOPS 1.0 RC3");
define("_INSTALL_L70","Please change the file permission for mainfile.php so that it is writeable by the server (i.e. chmod 777 mainfile.php on a UNIX/LINUX server, or check the properties of the file and make sure the read-only flag is not set on a Windows server ). Reload this page once you have changed the permission setting.");
define("_INSTALL_L71","Click on the button below to begin the installation.");
define("_INSTALL_L1","Open mainfile.php with your text editor and find the following codes on line 31:");
define("_INSTALL_L2","Now, change this line to:");
define("_INSTALL_L3","Next, on line 35, change %s to %s");
define("_INSTALL_L4","OK, I have set the above setings, let me try again!");
define("_INSTALL_L5","WARNING!");
define("_INSTALL_L6","There is a mismatch between your XOOPS_ROOT_PATH configuration on line 31 of mainfile.php and the root path info we have detected.");
define("_INSTALL_L7","Your setting: ");
define("_INSTALL_L8","We detected: ");
define("_INSTALL_L9","( On MS platforms, you may receive this error message even when your configuration is correct. If that is the case, please press the button below to continue)");
define("_INSTALL_L10","Plesae press the button below to continue if this is really ok.");
define("_INSTALL_L11","The server path to your XOOPS root directory: ");
define("_INSTALL_L12","URL to your XOOPS root directory: ");
define("_INSTALL_L13","If the above setting is correct, press the button below to continue.<br />(This will not start creating tables yet)");
define("_INSTALL_L14","Next");
define("_INSTALL_L15","Please open mainfile.php and enter required DB settings data");
define("_INSTALL_L16","%s is the hostname of your database server.");
define("_INSTALL_L17","%s is the username of your database account.");
define("_INSTALL_L18","%s is the password required to access your database.");
define("_INSTALL_L19","%s is the name of your database in which XOOPS tables will be created.");
define("_INSTALL_L20","%s is the prefix for tables that will be made during the installation.");
define("_INSTALL_L21","The following database was not found on the server:");
define("_INSTALL_L22","Attempt to create it?");
define("_INSTALL_L23","Yes");
define("_INSTALL_L24","No");
define("_INSTALL_L25","We have detected the following database information from your configuration in mainfile.php. Please fix it now if this is not correct.");
define("_INSTALL_L26","Database Configuration");
define("_INSTALL_L51","Database");
define("_INSTALL_L66","Choose the database to be used");
define("_INSTALL_L27","Database Hostname");
define("_INSTALL_L67","Hostname of the database server. If you are unsure, 'localhost' works in most cases.");
define("_INSTALL_L28","Database Username");
define("_INSTALL_L65","Your database user account on the host");
define("_INSTALL_L29","Database Name");
define("_INSTALL_L64","The name of database on the host. The installer will attempt to create the database if not exist");
define("_INSTALL_L52","Database Password");
define("_INSTALL_L68","Password for your database user account");
define("_INSTALL_L30","Table Prefix");
define("_INSTALL_L63","This prefix will be added to all new tables created to avoid name conflict in the database. If you are unsure, just use the default 'xoops'.");
define("_INSTALL_L54","Use persistent connection?");
define("_INSTALL_L69","Default is 'Yes'. Choose 'Yes' if you are unsure.");
define("_INSTALL_L55","XOOPS Physical Path");
define("_INSTALL_L59","Physical path to your main XOOPS directory WITHOUT trailing slash");
define("_INSTALL_L56","XOOPS Virtual Path (URL)");
define("_INSTALL_L58","Virtual path to your main XOOPS directory WITHOUT trailing slash");

define("_INSTALL_L31","Could not create database. Contact the server administrator for details.");
define("_INSTALL_L32","Installation Complete");
define("_INSTALL_L33","Click <a href='index.php'>here</a> to see the home page of your site.");
define("_INSTALL_L35","If you had any errors, please contact the dev team at <a href='http://www.xoops.org/'>XOOPS.org</a>");
define("_INSTALL_L36","Please choose your site admin's name and password and click on the button below to initiate the creation of database tables.");
define("_INSTALL_L37","Admin Name");
define("_INSTALL_L38","Admin Email");
define("_INSTALL_L39","Admin Password");
define("_INSTALL_L40","Create Tables");
define("_INSTALL_L41","Please go back and type in all the required info.");
define("_INSTALL_L42","Back");
define("_INSTALL_L57","Please enter %s");

// %s is database name
define("_INSTALL_L43","Database %s created!");

// %s is table name
define("_INSTALL_L44","Unable to make %s"); 
define("_INSTALL_L45","Table %s created");

define("_INSTALL_L46","In order for the modules included in the package to work correctly, the following files must be writeable by the server. Please change the permission setting for these files. (i.e. 'chmod 666 file_name' on a UNIX/LINUX server, or check the properties of the file and make sure the read-only flag is not set on a Windows server)");
define("_INSTALL_L47","Submit");

define("_INSTALL_L53","Please confirm the following submitted data:");

define("_INSTALL_L60","Could not open mainfile.php. Please check the file permission and try again.");
define("_INSTALL_L61","Could not write to mainfile.php. Contact the server administrator for details.");
define("_INSTALL_L62","Configuration data has been saved successfully. Click on the button below to continue.");
define("_INSTALL_L72","The following directories must be created with the write permission by the server. (i.e. 'chmod 777 directory_name' on a UNIX/LINUX server)");
define("_INSTALL_L73","Invalid Email");
?>